qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fraser Adams <fraser.ad...@blueyonder.co.uk>
Subject Re: Proposal: get rid of automake build system.
Date Fri, 08 Mar 2013 18:06:13 GMT

> This seems sensible, although it does raise the question of what is
> 'dev' about this list if the choice of build system is a 'user' issue!
>
> Andrew
>
>
That was pretty much the point that Gordon was making :-) There's kind 
of a blurry line between Qpid users and developers - certainly given 
that for many cases users actually have to build Qpid from source in 
order to use it. I guess that the user community is also likely to be 
far more disparate, possibly on a wider set of platforms and very 
possibly blessed :-) AKA restricted by "corporate IT standards". I know 
plenty of cases where people are stuck with ancient OS versions because 
of corporate support policies. So in many ways I'd argue that its the 
user community that this should be flagged up with foremost, because 
clearly you guys have been bubbling around with this thought process for 
a while, but it might come as a surprise to others.


You mentioned "TBH, you shouldn't have to 'hack around' in either case", 
I agree entirely with that statement, but the fact is that I've always 
had to do that because building from source (particularly installing) 
has never "just worked" for me on my Ubuntu system. TBH even with 0.20 
it didn't just work and I had to

export LDFLAGS=-L`dirname $(pwd)`/cpp/src/.libs

before I do ./configure

But 0.12 was a nightmare to make install, which is one of the reasons 
that I stayed with that for ages before I plucked up the courage to move 
to 0.20


TBH I hadn't realised that the automake stuff was considered deprecated, 
I certainly didn't notice anything in README or such like, though 
perhaps I just missed it.

I don't want to make a big deal out of it and it sounds like cmake is 
the preference, so fair enough and Steve's comment "Do you have an 
alternative that works on Windows?" is entirely reasonable - though my 
facetious response to that would be delete Windows and install a proper 
Operating System :-D (sorry - couldn't help myself, and I'll concede Win 
7 is pretty good).

Anyway all the points are fair and I'm not saying don't do it rather 
just shout it from the rooftops, say it's deprecated any time a user 
asks about make and echo "***** automake is deprecated and will be 
deleted in version xyz ***** " in a few places in the build scripts.

Cheers,
Frase




---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message